# SetModelName

### void SetModelName(string strModelName)

EZGemPlus에 MDLN의 값을 설정함.

라이브러리에서 자동으로 전송하는 메시지중 MDLN이 존재하는 곳에 해당 설정 값을 넣어서 전송합니다.

Parameters

<table data-header-hidden><thead><tr><th width="213" valign="top"></th><th width="111" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">strModelName</td><td valign="top">string</td><td valign="top">MDLN으로 설정하려는 값</td></tr></tbody></table>

```csharp
m_gem.SetModelName("SAMPLE_GEM_C#");
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-6/setmodelname.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
